%global pkg_name        Log-Log4perl
%global pkg_version     1.13
%global rpm_pkg_version 1.13
%global rpm_pkg_release 1.n0i.9

Summary:       Log4j implementation in Perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHILLI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.82}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.45}

# drop optional deps
%global perl_filter_req '(DBI|IPC|RRD|Storable|ANSIColor|XML|Log::Dispatch)'

%description
Log::Log4perl lets you remote-control and fine-tune the logging behaviour
of your system from the outside. It implements the widely popular
(Java-based) Log4j logging package in pure Perl.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path eg/}


%build
%{perl_build}
# may fail when testing various plugins
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ LICENSE README


%changelog
* Sun Oct 14 2007 Marius Feraru <altblue@n0i.net> - 1.13-1.n0i.9
- version 1.13

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.12-1.n0i.8
- version 1.12

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.10-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.10

* Tue Jun 20 2006 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.6
- version 1.05

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.5
- version 1.04

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 1.02-1.n0i.4
- version 1.02

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.3
- version 1.01

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.2
- version 1.00

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.52-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
